Issue 95318 - Honour gtk-menu-images setting: Offer "automatic" beside "show/hide" in new list box
Summary: Honour gtk-menu-images setting: Offer "automatic" beside "show/hide" in new l...
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: DEV300m34
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: stefan.baltzer
QA Contact: issues@gsl
URL:
Keywords:
Depends on: 95316
Blocks: 100822 122746
  Show dependency tree
 
Reported: 2008-10-22 14:29 UTC by caolanm
Modified: 2013-07-23 07:58 UTC (History)
5 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
honour theme's show/hide icons in menus (38.12 KB, patch)
2008-10-22 14:30 UTC, caolanm
no flags Details | Diff
Screenshot of misplaced text in Tools-Options-OOo-View dialog on WinXP (34.02 KB, image/png)
2009-03-05 07:40 UTC, stefan.baltzer
no flags Details
with those extra options (31.32 KB, image/png)
2009-03-06 15:44 UTC, caolanm
no flags Details
without those extra options (27.44 KB, image/png)
2009-03-06 15:45 UTC, caolanm
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2008-10-22 14:29:47 UTC
The gtk-menu-images setting specifies whether to show or hide the icons in menus. 
The attached patch
a) lets OOo know about it, 
b) changes the existing show/hide toggle with a list-box with an additional
"automatic" option
c) adds a new config option for it and tallies it up with the existing show/hide
option for backwards compatibility
d) Seeing as vcl is the only piece that will be able to resolve automatic to
yes/no then the vcl setting as to be used throughout OOo rather than the config
setting

Though what seems like the canonical mechanism to override the theme if the
"show/hide" is in use is disabled (#i95316). Though maybe there is an
alternative mechanism that is supposed to be in use these days. What's here
works-for-me(tm) at least, though the aqua port should additionally set this to
false I guess, rather than depend on the mac-specific officecfg config fragment
to do this
Comment 1 caolanm 2008-10-22 14:30:26 UTC
Created attachment 57382 [details]
honour theme's show/hide icons in menus
Comment 2 philipp.lohmann 2008-10-22 14:55:08 UTC
most of this patch is framework, so I'll set cd on CC. The system setting is
gotten for gtk, but nowhere else. I would add "images in menus" "true" for
windows and OS/2, "false" for mac and "true" for generic X11 (though "true" is
the default, so actually only the mac change is needed; you mentioned that
already). There are some fprintfs and #if 0 left in window.cxx, aside from that
I consider the vcl part OK.
Comment 3 caolanm 2009-02-01 11:50:23 UTC
A ui change, only a small one, but I guess we should therefore punt to 3.2
Comment 4 caolanm 2009-02-06 14:28:30 UTC
Done in gtkmenuimages. 

I made the macosx changes as well, maybe ericb (or someone else with access to
macosx) could check
http://buildbot.go-oo.org/install_sets/MacIntel-1548-gtkmenuimages-install_set.zip
to verify that the menu images continue to not be shown automatically on macosx
(though still overridable with tools->options->view->menu->Show Icons
Comment 5 caolanm 2009-03-04 10:56:00 UTC
cmc->sba: Thanks for volunteering for qa. Updated builds available at
ftp://qa-upload.services.openoffice.org/gtkmenuimages/
Comment 6 stefan.baltzer 2009-03-04 16:05:46 UTC
Works on Linux. good. But on Windows, the dialog strings are in wrong position.
Will circle this in by tomorrow (screenshot, toying with UI font etc.)
Comment 7 stefan.baltzer 2009-03-05 07:40:26 UTC
Created attachment 60730 [details]
Screenshot of misplaced text in Tools-Options-OOo-View dialog on WinXP
Comment 8 stefan.baltzer 2009-03-05 08:03:34 UTC
Functionality is cool, but... There still is UI-using users :-(

This patch is a FEATURE issue!
The change from check Box to list box took away about half the space for the
string. In [EN] UI, "Icons in menues" beside "Automatic" in a list box easily fits.

But for languages with longer strings (i.e. [FR]: "Icônes dans les menues"
beside "Automatique") will already be "tight". Note "non nano UI font users" :-) 

So we need a re-design in order to NOT place a defect (cut strings) to be seen
only after translation. Visible mockups in specs make sense when UI is toyed with...

Put PL and FL on c/c, reassigned to CMC
Comment 9 stefan.baltzer 2009-03-05 08:39:34 UTC
Change issue type to "feature".
Comment 10 caolanm 2009-03-05 11:17:16 UTC
have a another go at that
Comment 11 caolanm 2009-03-06 15:43:51 UTC
uh huh, on windows some options aren't shown so the elements move up, need to
add the additional element in to be moved in that scenario.

Rejigged things to look like attached screenshots.
Comment 12 caolanm 2009-03-06 15:44:37 UTC
Created attachment 60790 [details]
with those extra options
Comment 13 caolanm 2009-03-06 15:45:05 UTC
Created attachment 60792 [details]
without those extra options
Comment 14 caolanm 2009-03-06 15:46:26 UTC
That should handle any long string that needs to go in there, and fix the
"unmoved" entry on windows.
Comment 15 caolanm 2009-04-03 10:23:46 UTC
workspace is ready for qa
Comment 16 joerg.skottke 2009-04-03 13:29:41 UTC
Verified
Comment 17 stefan.baltzer 2009-04-06 10:58:11 UTC
The changes in documentation for this are handled in issue 100822.
Comment 18 caolanm 2009-05-01 20:45:23 UTC
integrated DEV300_m47